Class | Tk::Tile::TProgressbar
In: | tk/lib/tkextlib/tile/tprogressbar.rb
Parent: | TkWindow

### Methods

start step stop style

### Included Modules

Tk::Tile::TileWidget

### Constants

TkCommandNames | = | ['::ttk::progressbar'.freeze].freeze
TkCommandNames | = | ['::tprogressbar'.freeze].freeze
WidgetClassName | = | 'TProgressbar'.freeze

### Public Class methods

style(*args)

[Source]

    # File tk/lib/tkextlib/tile/tprogressbar.rb, line 27
      def self.style(*args)
        [self::WidgetClassName, *(args.map!{|a| _get_eval_string(a)})].join('.')
      end

### Public Instance methods

start(interval=None)

def step=(amount)

      tk_send_without_enc('step', amount)

end

[Source]

    # File tk/lib/tkextlib/tile/tprogressbar.rb, line 38
      def start(interval=None)
        if Tk::Tile::TILE_SPEC_VERSION_ID < 5
          tk_call_without_enc('::tile::progressbar::start', @path, interval)
        else
          tk_send_without_enc('start', interval)
        end
      end

step(amount=None)

[Source]

    # File tk/lib/tkextlib/tile/tprogressbar.rb, line 31
      def step(amount=None)
        tk_send_without_enc('step', amount).to_f
      end

stop(amount=None)

[Source]

    # File tk/lib/tkextlib/tile/tprogressbar.rb, line 46
      def stop(amount=None)
        if Tk::Tile::TILE_SPEC_VERSION_ID < 5
          tk_call_without_enc('::tile::progressbar::stop', @path)
        else
          tk_send_without_enc('stop', amount)
        end
      end

[Validate]